/*****************************************************************************
 *            Created: 9/05/2012
 *          Copyright: (C) Copyright David Goodwin, 2012
 *            License: GNU General Public License
 *****************************************************************************
 *
 *   This is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This software is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this software; if not, write to the Free Software
 *   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 ****************************************************************************/

#include "createtemplatedialog.h"
#include "ui_createtemplatedialog.h"

#include <QFileDialog>

CreateTemplateDialog::CreateTemplateDialog(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::CreateTemplateDialog)
{
    ui->setupUi(this);

    connect(ui->pushButton, SIGNAL(clicked()), this, SLOT(browseForFile()));
}

CreateTemplateDialog::~CreateTemplateDialog()
{
    delete ui;
}

void CreateTemplateDialog::changeEvent(QEvent *e)
{
    QDialog::changeEvent(e);
    switch (e->type()) {
    case QEvent::LanguageChange:
        ui->retranslateUi(this);
        break;
    default:
        break;
    }
}

QString CreateTemplateDialog::getFilename() {
    return ui->leFilename->text();
}

QString CreateTemplateDialog::getDescription() {
    return ui->pteDescription->toPlainText();
}

void CreateTemplateDialog::browseForFile() {
    ui->leFilename->setText(QFileDialog::getSaveFileName(this,"Save Template","", "zxlife Template File (*.zgt)"));
}
