/*****************************************************************************
 *            Created: 6/05/2012
 *          Copyright: (C) Copyright David Goodwin, 2012
 *            License: GNU General Public License
 *****************************************************************************
 *
 *   This is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This software is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this software; if not, write to the Free Software
 *   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 ****************************************************************************/

#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QTimer>

#include "templatebrowser.h"

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT
    
public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

private slots:
    void speedUp();
    void slowDown();
    void run();
    void stop();

    void saveGrid();
    void saveTemplate();
    void loadGrid();

    void showAbout();
    void exit();

    void loadTemplate();
    void templateBrowserClosed();

    void singleBlockTool();
    void templateTool();

    void templateSelected(QString);

    void loadTemplateFile();
    void pasteTemplate();

protected:
    void changeEvent(QEvent *e);
    void closeEvent(QCloseEvent *event);
    
private:
    Ui::MainWindow *ui;
    QTimer timer;

    void updateTimerInterval(int interval);

    TemplateBrowser tb;
};

#endif // MAINWINDOW_H
